apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
    # Same namespace as the deployment
    namespace: home-stuff
    # Name of the ingress (see kubectl get ingress -A)
    name: nextcloud-ingress
    annotations:
        # < use the nginx ingress controller
        kubernetes.io/ingress.class: nginx
        # < communicate in https with the backend (service/pod)
        nginx.ingress.kubernetes.io/backend-protocol: HTTPS
        # < use letsencrypt-prod application in kubernetes to generate ssl certificate
        cert-manager.io/cluster-issuer: letsencrypt-prod
        nginx.ingress.kubernetes.io/proxy-body-size: 10240m
spec:
    tls:
        - hosts:
            - ENC[AES256_GCM,data:ppzg9MU/HRx/GsqT0g667PRavC3AG9g6ng==,iv:GbVLqvrL2ixrlRpBtYMOGyVQ5u+KE6JMHyd/PIz6MXQ=,tag:s6xQdT5Ya3DoaDXdnNCClw==,type:comment]
            - ENC[AES256_GCM,data:E9oifVOtufLNQutHCozuQWwhZ1AYAg==,iv:/2YoUyxjU/KYoi+4zWOAeXbbWAG24sheSZusKmGJ8o4=,tag:mj4zwBN+SR0zx0AaAhuR8A==,type:str]
          #ENC[AES256_GCM,data:rANsLO96lugMqJX9Ee999qfHFLe0PMS8Ye5MqYEBto8cYCiUGYeB8qrKhgsCbsDfw4lFfvkblACo,iv:4ieSq2UqTSqCyC/ipxrqrsw5oxH1HEfad/4hTErpVHI=,tag:FfCQm+osdf44I9RG38FkZA==,type:comment]
          secretName: ENC[AES256_GCM,data:deIhEvv1D1omscQp2zd48FFU,iv:dEC0EzxSFa5TnrivxCxb9bSaoXLeIiA19OowWJntrvw=,tag:gxBK6snQniR2sjVUeW3X/g==,type:str]
    rules:
        - ENC[AES256_GCM,data:a6HBtLEWvKkD6bMRwWHECkEBrOD9DfjRtA==,iv:UDOQgkMsJs7yCqRzB/kO7AVTcqJAwpaBucvIOmv1Ujc=,tag:OICZTC7tTHmm+sTON+uBtg==,type:comment]
        - host: ENC[AES256_GCM,data:9TCiU3nSNwfpVYsASYcVzmiYOuDUcw==,iv:3RmncEfPGP9cp4FHLzO6By6dzi6vKux9zlzGXWkwue0=,tag:iAZf4aNI18iBd6P3ag1RqA==,type:str]
          http:
            paths:
                - ENC[AES256_GCM,data:0EensQl3odHxzVij8w3wK9847iJ2BzPcEA5u1swftOusu42Nm8sySNdtfgugRhnLV0WxV2j4CnFqNnecSHyjp4FP6a9C,iv:lZqNAM+Z7LPXaD9bxqRtu2szus7CqJrt0P3gg94n5+g=,tag:OGPBzqEEV6hGQy7BIrG/gQ==,type:comment]
                - path: ENC[AES256_GCM,data:Pg==,iv:KbVxu4Ym79yASyO2pjTwk68KBDG5XAErgBzoowCpSgY=,tag:JkuYD/BD2iaW0OulENTMdA==,type:str]
                  pathType: ENC[AES256_GCM,data:Lqe8fOmX,iv:QA2R9Qf/j3rmWcn7L9fEHsT3KQaaGKIzIlkd/aUqFf0=,tag:WnGFeIEn9HMhFsAo7aEWIg==,type:str]
                  backend:
                    service:
                        #ENC[AES256_GCM,data:WYuMARYYl4NA2aKg59RWRl9dMGFRtzyvlxRsN/2oGPt+R4y6kVmM1XifCvFwMD9hGFTkH+7918LadaDMn1Be,iv:lM3l9f6oYH8rNLA+6iTTlP1ZHhvWSdJa4VYcxaE1XcA=,tag:3Gu8upc3nQiZwtNsV2JvUw==,type:comment]
                        name: ENC[AES256_GCM,data:WQqLYLEf0qzq+QOQGDHclD8=,iv:/t+lqqkq/kFqoUY41uFpdRBLQmbr7PNI9vgErmHKv2Q=,tag:CEuypITcLTydVFiKgFD1RA==,type:str]
                        port:
                            #ENC[AES256_GCM,data:tWyQDCse0+64E4Rk5Fw0++sKdWPPGbyDgCR3p3xo1kCEmuItcJf8b7IW81XVRKewp6UFBKj3a7hu1y1q,iv:D68Bj9+ypE+usPPFl5JP2dCO3HolB0TfLfvu0krVvZI=,tag:csknV707m9/JYvloikiTBg==,type:comment]
                            number: ENC[AES256_GCM,data:la3X,iv:hlPS5GxZr00K0s2T/aJ0QiUVSW8ROi3arpRg7ewSIVs=,tag:+Ryg/38l07pEbn23Ai8B/A==,type:int]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSA0QVZEbUVLYkhsTUxlQzV6
            UXFQNzlGQmtab1ZtUWhscmNaQ05nYlgzUzM4CktJamhZTEt5djlyU2J1d2t0Zzdy
            K1YzdWlxb1dUVVhKYllOd2ZFOWxMc1kKLS0tIFAyK1Vyc0ZET1MzSjExWjJPd0k0
            bFUxeDAyZFo5YW9URE5sTkpLYUtqWVEKlCVyBCnCBPwsdIvmIN2HPMABeopvHFwp
            vuVb5uhB0YBd5LF4XhRTQC/qSOb7q0dHqermnbOWYg9SFYtgn8qRiQ==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:31:02Z"
    mac: ENC[AES256_GCM,data:vu5/xcexOe/Pmb0WWRiyb4gd8lbmbWFqESwc1oPPzJDgbVc/KeHACc1rGouwVYpvJZV0q3suUMs7ShcyOpF4eVVWnIXUdFQ30jqUOQISzz/oVvhAmuPpFujUi6oRNFdlgYkkLusfcbTqu6wEjoacknG223GsjmdVZsZ8+DrRaTE=,iv:lLqO/c5JUI8ZZ/ZmLWHrT+ugVY897Ysl0c6EOHnNAeo=,tag:jSwR07VOLO2q+i7lO6T67A==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
